Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.ejb
Interface QueryHome

public interface QueryHome
extends javax.ejb.EJBHome

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Query` | `createQuery()` Creates a query that doesn't take input parameters.
`java.lang.String` | `nativeQuery(java.lang.String ejbql)` Returns the result of calling JDBC's nativeSQL() method.
`PreparedQuery` | `prepareQuery(java.lang.String ejbql)` Creates a prepared query that takes input parameters.
`PreparedQuery` | `prepareQuery(java.lang.String ejbql, java.util.Properties props)` Creates a prepared query that takes input parameters and properties

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### createQuery

    public Query createQuery()
                      throws java.rmi.RemoteException

  Creates a query that doesn't take input parameters.

### prepareQuery

    public PreparedQuery prepareQuery(java.lang.String ejbql)
                               throws java.rmi.RemoteException

  Creates a prepared query that takes input parameters.

### prepareQuery

    public PreparedQuery prepareQuery(java.lang.String ejbql,
                                      java.util.Properties props)
                               throws java.rmi.RemoteException

  Creates a prepared query that takes input parameters and properties

### nativeQuery

    public java.lang.String nativeQuery(java.lang.String ejbql)
                                 throws java.rmi.RemoteException

  Returns the result of calling JDBC's nativeSQL() method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD